import request from '@/utils/request'

// 查询消防水带箱检查记录列表
export function listHoseBox(query) {
  return request({
    url: '/dev/hoseBox/list',
    method: 'get',
    params: query
  })
}

// 查询消防水带箱检查记录详细
export function getHoseBox(id) {
  return request({
    url: '/dev/hoseBox/' + id,
    method: 'get'
  })
}

// 新增消防水带箱检查记录
export function addHoseBox(data) {
  return request({
    url: '/dev/hoseBox',
    method: 'post',
    data: data
  })
}

// 修改消防水带箱检查记录
export function updateHoseBox(data) {
  return request({
    url: '/dev/hoseBox',
    method: 'put',
    data: data
  })
}

// 删除消防水带箱检查记录
export function delHoseBox(id) {
  return request({
    url: '/dev/hoseBox/' + id,
    method: 'delete'
  })
}
